org.apache.lucene.store

## Class LockReleaseFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.store.LockReleaseFailedException

All Implemented Interfaces:
  Serializable

    public class LockReleaseFailedException
    extends IOException

This exception is thrown when the `write.lock` could not be released.

See Also:
  `Lock.release()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockReleaseFailedException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockReleaseFailedException

    public LockReleaseFailedException(String message)